/**
 * Generate a given number of random bytes. This method will try to use the
 * best available source of randomness:
 *
 * * For node it uses `randomBytes` from the `crypto` module
 * * `window.crypto.getRandomValues()` is used if available
 * * Fallback to `Math.random` if the above are not available
 *
 * @param n -
 *   the number of bytes to generate
 * @returns
 *   array filled with random bytes
 */
export declare function randomBytes(n: number): Uint8Array;
//# sourceMappingURL=randomBytes.d.ts.map